--giuioco.lua

print("Helo! Questo è un giochino fatto in Lua sviluppato su Linux (perché windows è blutto).")
io.write("Vuoi giocare ad un gioco?  si o no   ")
local gioco = io.read()
if gioco == "no" or gioco == "No" or gioco == "NO"
   then print("Oh... :(")
elseif gioco == "si" or gioco == "Si" or gioco == "SI"
   then print("Ok mate.")
end


--gioco start
if gioco == "si" or gioco == "Si" or gioco == "SI" 
   then print(" ") print(" ") print(" ")
   print("Quindi hai deciso di giocare eh?")
   print("Ebbene. Questo gioco testuale ricorda lle tue azioni passate")
   print("(tipo Undertale). Con questa informazione in mente, iniziamo!")
   print(" ")
   print(" ")
   print(" ")
   print("#############################################################") --61 pizels
   print("#############################################################")
   print("##########################-INIZIO-###########################")
   print("#############################################################")
   print("#############################################################")
   print(" ")
   print(" ")
   print(" ")
   print("Tutto accade un giorno d'estate. Ti svegli e controlli l'ora,")
   print("sono le 9:42.")
   print(" ")
    io.write("Dove andrai prima?"," [B]=Bagno; [C]=Cucina; [E]='Esci'  Scelta=")
    local locale = io.read()
    
    if locale == "C" or locale == "c"
      then print("hahah no, ti sta esplodendo la vescica coglione.")
      do locale = "B" end
    end
    if locale == "E" or locale == "e"
      then print("Connection terminated. *sets the building on fire*")
    elseif locale == "B" or locale == "b" 
      then print(" ")
	   print(" ")
	   print(" ")
	        --#############################################################
           print("Hai deciso di andare in bagno.")
   	   print("Ti alzi dal letto, scendi le scale e ti dirigi in bagno. Ti")
	   print("siedi sul water e fai i tuoi bisogni.")
           print(" ")
           print("Usci dal bagno (la grammatica è un'opinione) e vai in cucina.")
           print("In cucina ci sono tua madre e tua sorella che fanno colazione")
           print("e ti invitano a fare lo stesso.")
           print(" ")
 	io.write("Cosa farai?"," [F]=Fai colazione; [N]=Non fai colazione [E]='Esci'  Scelta=")
        local cucina = io.read()
         if cucina == "E" or cucina == "e"
           then print("Connection terminated. *sets the building on fire*")                
         elseif cucina == "N" or cucina == "n"
           then print(" ")
                print(" ")
                print(" ")
                print("Decidi di mandare a fanculo tua madre e ritorni in camera tua.")
         elseif cucina == "F" or cucina == "f"
           then print(" ")
                print(" ")
                print(" ")
                print("Decidi di sederti e fai colazione. Dopodicché ritorni in camera tua.")
     end
       if cucina == "N" or cucina == "n" or cucina == "F" or cucina == "f"
         then      --#############################################################
              print("Risali le scale e torni in camera tua. Rifai il letto e scen-")
  	      print("di in cortile dove ti stanno aspettando i tuoi amici.")
              print(" ")
	      print("")

       end
   end
end
